
package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/5/25 14:31
 */
public class ShopFlowInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "浏览量")
    private Long visitCount;

    @Schema(description = "昨天浏览量")
    private Long yesterdayVisitCount;
    @Schema(description = "访客数")
    private Integer visitUserCount;

    @Schema(description = "新访客数量")
    private Integer newVisitUserCount;

    @Schema(description = "老访客数量")
    private Integer oldVisitUserCount;

    @Schema(description = "商品访问流量排行榜")
    private List<ProductFlowInfoVO> prodRanking;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Long getVisitCount() {
        return visitCount;
    }

    public void setVisitCount(Long visitCount) {
        this.visitCount = visitCount;
    }

    public Long getYesterdayVisitCount() {
        return yesterdayVisitCount;
    }

    public void setYesterdayVisitCount(Long yesterdayVisitCount) {
        this.yesterdayVisitCount = yesterdayVisitCount;
    }

    public Integer getVisitUserCount() {
        return visitUserCount;
    }

    public void setVisitUserCount(Integer visitUserCount) {
        this.visitUserCount = visitUserCount;
    }

    public Integer getNewVisitUserCount() {
        return newVisitUserCount;
    }

    public void setNewVisitUserCount(Integer newVisitUserCount) {
        this.newVisitUserCount = newVisitUserCount;
    }

    public Integer getOldVisitUserCount() {
        return oldVisitUserCount;
    }

    public void setOldVisitUserCount(Integer oldVisitUserCount) {
        this.oldVisitUserCount = oldVisitUserCount;
    }

    public List<ProductFlowInfoVO> getProdRanking() {
        return prodRanking;
    }

    public void setProdRanking(List<ProductFlowInfoVO> prodRanking) {
        this.prodRanking = prodRanking;
    }

    @Override
    public String toString() {
        return "ShopFlowInfoVO{" +
                "shopId=" + shopId +
                ", shopName='" + shopName + '\'' +
                ", visitCount=" + visitCount +
                ", yesterdayVisitCount=" + yesterdayVisitCount +
                ", visitUserCount=" + visitUserCount +
                ", newVisitUserCount=" + newVisitUserCount +
                ", oldVisitUserCount=" + oldVisitUserCount +
                ", prodRanking=" + prodRanking +
                '}';
    }
}
